# Method: advertisers.adGroupAds.list

> [!WARNING]
> Display \& Video 360 API v3 has sunset. Use [v4](https://developers.google.com/display-video/api/reference/rest/v4) instead.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds/list#body.ListAdGroupAdsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds/list#try-it)

Lists ad group ads.

### HTTP request

`GET https://displayvideo.googleapis.com/v3/advertisers/{advertiserId}/adGroupAds`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser the ad groups belongs to. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds/list#body.ListAdGroupAdsResponse.FIELDS.next_page_token` returned from the previous call to `adGroupAds.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Optional. Field by which to sort the list. Acceptable values are: - `displayName` (default) - `entityStatus` The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: `displayName desc`. |
| `filter` | `string` Optional. Allows filtering by custom ad group ad fields. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by `AND` and `OR`. A sequence of restrictions implicitly uses `AND`. - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `EQUALS (=)` operator. Supported fields: - `adGroupId` - `displayName` - `entityStatus` - `adGroupAdId` Examples: - All ad group ads under an ad group: `adGroupId="1234"` - All ad group ads under an ad group with an entityStatus of `ENTITY_STATUS_ACTIVE` or `ENTITY_STATUS_PAUSED`: `(entityStatus="ENTITY_STATUS_ACTIVE" OR entityStatus="ENTITY_STATUS_PAUSED") AND adGroupId="12345"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adGroupAds": [ { object (`https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds#AdGroupAd`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `adGroupAds[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds#AdGroupAd`)`` The list of ad group ads. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroupAds/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `adGroupAds.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).